HostingModSecurityResponse
Successful response with one HostingModSecurity
Always 0 in a successful response
0Always null in a successful response
data objectrequired
Resource returned by the operation
Id of the hosting (GET /api/v3/hostings/{hosting_id})
Whether ModSecurity can be managed: only on Linux hostings, and not while the purchase is suspended or in maintenance
Whether ModSecurity is enabled (PATCH /api/v3/hostings/{hosting_id}/modsecurity)
Whether the rules of ModSecurity can be managed on the web server of the hosting: false on dedicated web servers and when ModSecurity is not available
Whether ModSecurity filters all the traffic, with no disabled rule; null when firewall_compatible is false
Numbers of the rules disabled on the hosting, as read from the web server; null when the hosting has no custom configuration
Rule sets of the custom configuration of the hosting, as read from the web server; null when the hosting has no custom configuration
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": {
"hosting_id": 0,
"is_available": true,
"is_active": true,
"firewall_compatible": true,
"full_strict": true,
"custom_rules": "Unknown Type: array,null",
"custom_set": "Unknown Type: array,null"
}
}